Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.util
Class ErrorHandlerImpl

    java.lang.Object
      com.sun.msv.verifier.util.ErrorHandlerImpl

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

public class ErrorHandlerImpl
extends java.lang.Object
implements org.xml.sax.ErrorHandler

default implementation of ErrorHandler. If an error is found, this implementation will throw it as an exception so that no further processing of the document will be performed.

All warnings are ignored.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static org.xml.sax.ErrorHandler` | `theInstance` the singleton instance of this object.

Constructor Summary
`ErrorHandlerImpl()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException error)`
`void` | `fatalError(org.xml.sax.SAXParseException error)`
`void` | `warning(org.xml.sax.SAXParseException warning)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theInstance

    public static final org.xml.sax.ErrorHandler theInstance

  the singleton instance of this object. This class doesn't have any internal state so

Constructor Detail

### ErrorHandlerImpl

    public ErrorHandlerImpl()

Method Detail

### fatalError

    public void fatalError(org.xml.sax.SAXParseException error)
                    throws org.xml.sax.SAXParseException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### error

    public void error(org.xml.sax.SAXParseException error)
               throws org.xml.sax.SAXParseException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### warning

    public void warning(org.xml.sax.SAXParseException warning)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD